Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.owsrequestvalidator.csw
Class CSWValidator

    java.lang.Object
      org.deegree.security.owsrequestvalidator.OWSValidator
          org.deegree.security.owsrequestvalidator.csw.CSWValidator

    public class CSWValidator

extends OWSValidator

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.security.owsrequestvalidator.OWSValidator
`getCapabilitiesValidator, getCapabilitiesValidatorR, policy`

Constructor Summary
`CSWValidator(Policy policy, String proxyURL)`

Method Summary
`static CSWValidator` | `getInstance()` returns an instance of `WFSPolicyValidator` --> singleton before this method cann be called, WFSPolicyValidator.create(URL) must be called to intialize the `WFSPolicyValidator` otherwise this method returns `null`
`void` | `validateRequest(OGCWebServiceRequest request, User user)` validates if the passed request itself and its content is valid against the conditions defined in the policies assigned to a `OWSPolicyValidator`
`byte[]` | `validateResponse(OGCWebServiceRequest request, byte[] response, String mime, User user)`

Methods inherited from class org.deegree.security.owsrequestvalidator.OWSValidator
`getGeneralCondtion, getPolicy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSWValidator

    public CSWValidator(Policy policy,
                        String proxyURL)

Parameters:
  `policy` -
  `proxyURL` -

Method Detail

### getInstance

    public static CSWValidator getInstance()

  returns an instance of `WFSPolicyValidator` --> singleton

  before this method cann be called, WFSPolicyValidator.create(URL) must be called to intialize the `WFSPolicyValidator` otherwise this method returns `null`

  Returns:
    an instance of `WFSPolicyValidator`

### validateRequest

    public void validateRequest(OGCWebServiceRequest request,
                                User user)
                         throws InvalidParameterValueException,
                                UnauthorizedException

  Description copied from class: `OWSValidator`
  validates if the passed request itself and its content is valid against the conditions defined in the policies assigned to a `OWSPolicyValidator`

  Specified by:
    `validateRequest` in class `OWSValidator`
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

### validateResponse

    public byte[] validateResponse(OGCWebServiceRequest request,
                                   byte[] response,
                                   String mime,
                                   User user)
                            throws InvalidParameterValueException,
                                   UnauthorizedException

  Specified by:
    `validateResponse` in class `OWSValidator`
  Returns:
    the new response array
  Throws:
    `InvalidParameterValueException`
    `UnauthorizedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org